<?xml version="1.0" encoding="UTF-8"?>
<!-- =======================================================================
XRadar
Copyright (c) 2004, 2005, Kristoffer Kvam
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
Neither the name of Kristoffer Kvam nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See licence.txt for dependancies to other open projects.
======================================================================= -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:redirect="http://xml.apache.org/xalan/redirect"
  	extension-element-prefixes="redirect">

	<xsl:include href="xradar://stylesheets/radar/graph/spider-graph.xsl"/>

	<xsl:param name="root-path"/>
        <xsl:param name="docs-home"/>
	<xsl:param name="radar-config-file"/>

	<xsl:variable name="radar-config-doc" select="document($radar-config-file)"/>
	<xsl:variable name="graph-width" select="'400'"/>
	<xsl:variable name="graph-height" select="'400'"/>

	<xsl:variable name="quality-doc-prefix" select="'package_quality_report_'"/>
	<xsl:variable name="system-quality-doc" select="document(concat('file://',concat($docs-home,'/xml/reports/','system_quality_report.xml')))"/>
	<xsl:variable name="path-to-root" select="''"/>


	<xsl:template match="radar-report">
		<xsl:for-each select="packages/package">
			<redirect:write file="{$docs-home}/img/spider-graph-package-{@name}.svg">
				<xsl:variable name="package-name" select="@name"/>
				<xsl:call-template name="spider-graph">
					<xsl:with-param name="title"/>
					<xsl:with-param name="width" select="$graph-width"/>
					<xsl:with-param name="height" select="$graph-height"/>
					<xsl:with-param name="metrics-nodeset">
						<metrics>
							<xsl:variable name="package-quality-doc" select="document(concat('file://',concat($docs-home,'/xml/reports/',$quality-doc-prefix,$package-name,'.xml')))"/>

							<xsl:for-each select="$package-quality-doc/metric/metric/metric">
								 <xsl:variable name="abb" select="@abbreviation"/>
								 <metric
									 name="{@abbreviation}"
									 value="{value}"
									 median="{0.0 + $system-quality-doc/descendant::metric[@abbreviation = $abb]}"
									 max="1"/>
							</xsl:for-each>
						</metrics>
					</xsl:with-param>
				</xsl:call-template>
			</redirect:write>
		</xsl:for-each>

	</xsl:template>


</xsl:stylesheet>
